
Infrastructure - Story #2118

add getPendingMapIdentity to the architecture docs

2011-12-07 18:24 - Rob Nahf

Status: Closed Start date: 2011-12-07

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Story Points:    

Description

The method is already in the java service api and libclient as follows

public SubjectInfo getPendingMapIdentity(Session session, Subject subject)

throws ServiceFailure, InvalidToken, NotAuthorized, NotFound,

NotImplemented;

REST specification    GET /accounts/pendingmap/{subject}

History

#1 - 2012-01-06 04:33 - Dave Vieglais

- Target version set to Sprint-2012.01-Block.1.1

- Position set to 1

#2 - 2012-01-10 20:06 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 50

The method is added to the docs  to match Ben's implementation, so the documentation just awaits your review if you care to.

#3 - 2012-01-11 02:17 - Dave Vieglais

- Status changed from In Progress to Closed

This is already documented at: http://mule1.dataone.org/ArchitectureDocs-current/apis/CN_APIs.html#CNIdentity.getPendingMapIdentity
